Subject: bug#25548: 25.1; Wrong Emacs version for Emacs 25.1.2 (?)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Jan 2017 18:01:01 +0200

> Date: Fri, 27 Jan 2017 07:40:41 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > > It's 25.1-2, that is a second release of version 25.1. The first one
> > > > was compiled without optimization.
> > > > https://lists.gnu.org/archive/html/emacs-devel/2016-11/msg00293.html
> > >
> > > Sorry, but I still don't understand.  What's the difference between
> > > 25.1-2 and 25.1.2?
> > 
> > They are builds of the same codebase with different compiler options.
> 
> Really?  And just where is build 25.1.2 (that's a 2, not a 1)?

It doesn't exist.  I thought you were asking about the difference
between 25.1.1 and 25.1-2.

> > They both correspond to 25.1.  There's no 25.1.1 release; 25.1.1 is
> > build #1 of the 25.1 release.
> 
> So presumably 25.1.2 should be build #2 of 25.1.  Where is 25.1.2?
> Why 25.1-2 instead of 25.1.2?

Presumably because Phillip made a full bootstrap, which starts
counting builds anew.

> > > How, from Emacs itself, does a user tell the difference between
> > > 25.1-1 and 25.1-2?
> > 
> > The value of system-configuration-options should be different.
> 
> Show does a user or Lisp code see those options from _within_
> Emacs?

With "M-: system-configuration-options RET".

> > > How to know?
> > 
> > See the node "Version Info" in the ELisp manual.
> 
> The only thing there (that I can see) that remotely refers
> to something like "25.1.2" is the undescribed, unexplained
> _output_ of `(emacs-version)':
> 
> "GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.16)
>            ^^^^^^
>         of 2015-06-01"

No, it also explains how to distinguish official releases from pretest
versions.

> > > Is all this supposed to be clear to users?
> > 
> > This information is not necessarily of importance for users.  It is
> > important in bug reports, which is why report-emacs-bug includes it.
> > But inquisitive users can find the information in the Emacs manuals.
> 
> I haven't seen where.

I've told you where.

> > > At the mirrors where you download these things there is no
> > > description/explanation.  (They don't even tell you what the
> > > difference is between zips x86 and i86.)
> > 
> > The explanations you are looking for are in the README file that is
> > right near the zip archives.
> 
> I don't think so.  That README is similar to (but also different
> from) the README.W32 that is included in the zip file.  AFAICT,
> neither file describes the 25.1-2 (or whatever other number)
> that appears in the zip-file name.  Searching for "zip" in each
> of those readme files does not find anything that talks about this. 

It also says this:

  There are two binary distributions named
  emacs-n-x86_64-w64-mingw32.zip and
  macs-n-i686-w64-mingw32.zip. These are for 64-bit and 32-bit
  machines respectively.

You asked about 32-bit vs the 64-bit versions; that part answers the
question.

> > > I realize that building and uploading Emacs for Windows is a volunteer
> > > effort, and I'm grateful for it.  But can we perhaps make the zip naming
> > > clearer?
> > 
> > Did you read the README file?
> 
> I've read them both, and searched them for "zip".  Have you taken
> a look yourself, in light of the question of this bug report?
> Can you point me to the passage that explains the 25.1-2 in the
> zip name, which I've not been able to find?

That's the "-n-" part above.

> Another question is why we have two different designations
> for build 2 of release 25.1: "25.1.2" and "25.1-2".

No, we have only one: 25.1.2.  The other one is just the name of a
file.

> I think you said that those represent the same thing.  If so, why
> use two different representations, Occam wonders?

Who or what is Occam?  I thought I was talking to Drew.